python2.7_2.7.15~rc1-1ubuntu0.1_amd64.deb


Advertisement

Description

python2.7 - Interactive high-level object-oriented language (version 2.7)

Property Value
Distribution Ubuntu 18.04 LTS (Bionic Beaver)
Repository Ubuntu Updates Main amd64
Package name python2.7
Package version 2.7.15~rc1
Package release 1ubuntu0.1
Package architecture amd64
Package type deb
Installed size 371 B
Download size 232.91 KB
Official Mirror archive.ubuntu.com
Python is a high-level, interactive, object-oriented language. Its 2.7 version
includes an extensive class library with lots of goodies for
network programming, system administration, sounds and graphics.

Alternatives

Package Version Architecture Repository
python2.7_2.7.15~rc1-1ubuntu0.1_i386.deb 2.7.15~rc1 i386 Ubuntu Updates Main
python2.7_2.7.15~rc1-1_amd64.deb 2.7.15~rc1 amd64 Ubuntu Main
python2.7_2.7.15~rc1-1_i386.deb 2.7.15~rc1 i386 Ubuntu Main
python2.7 - - -

Requires

Name Value
libpython2.7-stdlib = 2.7.15~rc1-1ubuntu0.1
mime-support -
python2.7-minimal = 2.7.15~rc1-1ubuntu0.1

Conflicts

Name Value
python-profiler <= 2.7.1-2

Replaces

Name Value
python-profiler <= 2.7.1-2
python2.7-minimal << 2.7.3-7~

Download

Type URL
Binary Package python2.7_2.7.15~rc1-1ubuntu0.1_amd64.deb
Source Package python2.7

Install Howto

  1. Update the package index:
    # sudo apt-get update
  2. Install python2.7 deb package:
    # sudo apt-get install python2.7

Files

Path
/usr/bin/2to3-2.7
/usr/bin/pdb2.7
/usr/bin/pydoc2.7
/usr/bin/pygettext2.7
/usr/share/applications/python2.7.desktop
/usr/share/doc/python2.7/ACKS.gz
/usr/share/doc/python2.7/NEWS.gz
/usr/share/doc/python2.7/README.Debian
/usr/share/doc/python2.7/README.gz
/usr/share/doc/python2.7/changelog.Debian.gz
/usr/share/doc/python2.7/changelog.gz
/usr/share/doc/python2.7/copyright
/usr/share/lintian/overrides/python2.7
/usr/share/man/man1/2to3-2.7.1.gz
/usr/share/man/man1/pdb2.7.1.gz
/usr/share/man/man1/pydoc2.7.1.gz
/usr/share/man/man1/pygettext2.7.1.gz
/usr/share/pixmaps/python2.7.xpm

Changelog

2018-11-12 - Marc Deslauriers <marc.deslauriers@ubuntu.com>
python2.7 (2.7.15~rc1-1ubuntu0.1) bionic-security; urgency=medium
* SECURITY UPDATE: command injection in shutil module
- debian/patches/CVE-2018-1000802.patch: use subprocess rather than
distutils.spawn in Lib/shutil.py.
- CVE-2018-1000802
* SECURITY UPDATE: incorrect Expat hash salt initialization
- debian/patches/CVE-2018-14647.patch: call SetHashSalt in
Include/pyexpat.h, Modules/_elementtree.c, Modules/pyexpat.c.
- CVE-2018-14647
2018-04-15 - Matthias Klose <doko@debian.org>
python2.7 (2.7.15~rc1-1) unstable; urgency=medium
* Python 2.7.15 release candidate 1.
2018-04-02 - Matthias Klose <doko@debian.org>
python2.7 (2.7.14-8) unstable; urgency=medium
* Update to 20180402 from the 2.7 branch.
2018-03-13 - Matthias Klose <doko@debian.org>
python2.7 (2.7.14-7) unstable; urgency=medium
* Update to 20180313 from the 2.7 branch.
- Fix issue #32185: The SSL module no longer sends IP addresses in SNI TLS
extension on platforms with OpenSSL 1.0.2+ or inet_pton. See #892814.
* Add support for riscv64 (Aurelien Jarno). Closes: #892329.
2018-02-06 - Matthias Klose <doko@debian.org>
python2.7 (2.7.14-6) unstable; urgency=medium
* Don't run lib2to3 tests which rely on the pickled grammar files.
2018-02-04 - Matthias Klose <doko@debian.org>
python2.7 (2.7.14-5) unstable; urgency=medium
* Update to 20180204 from the 2.7 branch.
- Fix issue #31530. Closes: #889280.
* python2.7-minimal: Pre-Depend on zlib1g. Closes: #887629.
2017-12-05 - Matthias Klose <doko@debian.org>
python2.7 (2.7.14-4) unstable; urgency=medium
* Fix applying the m-i-p-s-r6 patch.
2017-12-05 - Matthias Klose <doko@debian.org>
python2.7 (2.7.14-3) unstable; urgency=medium
* Update to 20171205 from the 2.7 branch.
* Build with -fstack-protector instead of -fstack-protector-strong.
Performance improvements of around 1-2%.
* Add support for mipsr6 triplets (YunQiang Su). Closes: #881945.
2017-09-17 - Matthias Klose <doko@debian.org>
python2.7 (2.7.14-2) unstable; urgency=medium
* Really rename the md5_* functions.
2017-09-17 - Matthias Klose <doko@debian.org>
python2.7 (2.7.14-1) unstable; urgency=medium
* Python 2.7.14 release.

See Also

Package Description
python3-all-dev_3.6.7-1~18.04_amd64.deb package depending on all supported Python 3 development packages
python3-all_3.6.7-1~18.04_amd64.deb package depending on all supported Python 3 runtime versions
python3-apparmor_2.12-4ubuntu5.1_amd64.deb AppArmor Python3 utility library
python3-apport_2.20.9-0ubuntu7.5_all.deb Python 3 library for Apport crash report handling
python3-apt_1.6.3_amd64.deb Python 3 interface to libapt-pkg
python3-brlapi_5.5-4ubuntu2.0.1_amd64.deb Braille display access via BRLTTY - Python3 bindings
python3-commandnotfound_18.04.5_all.deb Python 3 bindings for command-not-found
python3-cryptography_2.1.4-1ubuntu1.2_amd64.deb Python library exposing cryptographic recipes and primitives (Python 3)
python3-curtin_18.1-17-gae48e86f-0ubuntu1~18.04.1_all.deb Library and tools for curtin installer
python3-dev_3.6.7-1~18.04_amd64.deb header files and a static library for Python (default)
python3-distupgrade_18.04.29_all.deb manage release upgrades
python3-distutils_3.6.7-1~18.04_all.deb distutils package for Python 3.x
python3-django-maas_2.4.2-7034-g2f5deb8b8-0ubuntu1_all.deb MAAS server Django web framework (Python 3)
python3-django_1.11.11-1ubuntu1.1_all.deb High-level Python web development framework (Python 3 version)
python3-doc_3.6.7-1~18.04_all.deb documentation for the high-level object-oriented language Python 3
Advertisement
Advertisement